Subject: Ticket Assigned - Article Feedback - I paid for part of my order using a Return Voucher and requested to pay the balance using Cash on Delivery. I cancelled the order before it arrived. How will my refund be processed?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 02 Feb 2022 04:18:04 +0000

Hi Sara Alsharif,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for part of my order using a Return Voucher and requested to pay the balance using Cash on Delivery. I cancelled the order before it arrived. How will my refund be processed? Feedback for:  I paid for part of my order using a Return Voucher and requested to pay the balance using Cash on Delivery. I cancelled the order before it arrived. How will my refund be processed? Wrong size https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3839422